
QGIS Application - Bug report #4398

diagrams do not superpose

2011-10-18 01:00 AM - alicebtoklas -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14330

Description

Apparently the diagrams are not allowed to superpose each other. When the size of the diagram (as defined in the "diagram overlay" tab

of the "layer properties" window) is big enough for the diagrams to superpose each other, they just disappear without warning.

version 1.7

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-23 03:31 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

The correct behaviour would be for the smaller pie to stay over the larger ones.

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-08-05 09:28 AM - alicebtoklas -

What's up? It is still impossible to draw a good map with diagrams in QGIS!

#5 - 2012-08-12 01:01 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

alicebtoklas - wrote:

What's up? It is still impossible to draw a good map with diagrams in QGIS!

work is being made on diagrams, see

http://lists.osgeo.org/pipermail/qgis-developer/2012-August/021685.html
http://lists.osgeo.org/pipermail/qgis-developer/2012-August/021685.html


#6 - 2012-09-05 05:39 AM - Matthias Kuhn

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in master.

In ToolBox "position" choose "PAL engine settings" and enable "Show all labels and features".

Smaller features will automatically be drawn on top of biggers.
